Skip to main content
Version: v2

Audience Groups

What are audience groups?​

Audiences are cuts of respondents that can be used ta analyze datasets. Audience Groups are a way to organize audiences into groups. For example, there are several audiences for different age cuts which are all grouped under the Age group.

List all audience groups​

To list all of the audience groups and browse them via the API, use the list endpoint:

GET /api/v2/audience-groups

Get a audience group​

You may also directly retrieve a audience group's details if you already have its system ID.

GET /api/v2/audience-groups/123

Where 123 is the system ID of the audience group.

Schema​

Full response schema​

KeyTypeFilterableSortableConfigurableDescription
idinteger✅ (exact)✅✅The system ID.
namestring✅✅✅The name of the audience group.
descriptionstring✅❌✅An optional description about what the group is.
created_atstring❌✅✅A datetime string when this audience group was first created.
updated_atstring(updated since)✅✅A datetime string when this audience group was last updated.

Relationship Response Schema​

The slim relationship schema is used when the audience group is used as part of an include in another resource.

KeyTypeDescription
idintegerThe system ID for the audience group.
namestringThe primary name of the audience group.

Relationships & includes​

By default, relationships apart from the sector are not included. See the includes section for more information on how this works. The following relationships are available:

  • audiences - The audiences that belong to this audience group.

Searching​

This endpoint supports searching. See the searching section for more details.